LOCAL_REGISTRY=private-repo:5000
LOCAL_DOWNLOAD_REPO=https://downloads.remiges.tech/bse/setup/downloads/services/sonarqube

POSTGRESQL_CONTAINER_IMAGE_ONLINE=docker.io/bitnami/postgresql:11.14.0-debian-10-r22
POSTGRESQL_CONTAINER_IMAGE_OFFLINE=${LOCAL_REGISTRY}/bitnami/postgresql:11.14.0-debian-10-r22
POSTGRESQL_VOLUME_SIZE_ONLINE=2Gi
POSTGRESQL_VOLUME_SIZE_OFFLINE=2Gi
POSTGRESQL_PV_HOSTPATH=/kra-data/data/devops/sonarqube

PROMETHEUS_DOWNLOAD_URL_ONLINE='https://repo1.maven.org/maven2/io/prometheus/jmx/jmx_prometheus_javaagent/0.16.0/jmx_prometheus_javaagent-0.16.0.jar'
PROMETHEUS_DOWNLOAD_URL_OFFLINE="${LOCAL_DOWNLOAD_REPO}/jmx_prometheus_javaagent-0.16.0.jar"

BUSYBOX_CONTAINER_IMAGE_ONLINE=busybox:1.32
BUSYBOX_CONTAINER_IMAGE_OFFLINE=${LOCAL_REGISTRY}/busybox:1.32

CURL_CONTAINER_IMAGE_ONLINE=curlimages/curl:7.76.1
CURL_CONTAINER_IMAGE_OFFLINE=${LOCAL_REGISTRY}/curlimages/curl:7.76.1

SONARQUBE_CONTAINER_IMAGE_ONLINE=sonarqube:9.9.3-community
SONARQUBE_CONTAINER_IMAGE_OFFLINE=${LOCAL_REGISTRY}/sonarqube:9.9.3-community

SONAR_FLUTTER_PLUGIN_ONLINE=https://github.com/insideapp-oss/sonar-flutter/releases/download/0.5.0/sonar-flutter-plugin-0.5.0.jar
SONAR_FLUTTER_PLUGIN_OFFLINE=${LOCAL_DOWNLOAD_REPO}/sonar-flutter-plugin-0.5.0.jar

HOSTNAME=$(hostname -f)
